import packetGet from './index.vue'

packetGet.install = function (Vue, store) {
  const Constructor = Vue.extend(packetGet)
  let instance

  Vue.prototype.$packetGet = (info) => {
    if (instance) {
      document.body.removeChild(instance.$el)
      instance = null
    }

    instance = new Constructor({
      el: document.createElement('div'),
      computed: {
        $store () { return store }
      },
      data () {
        return {
          visible: false,
          info
        }
      }
    })

    document.body.appendChild(instance.$el)
  }
}

export default packetGet
